apiVersion: stackgres.io/v1
kind: SGInstanceProfile
metadata:
  namespace: "{{ k8s_stgop_namespace }}"
  name: size-mini
spec:
  cpu: "1"
  memory: "2Gi"
---
kind: SGInstanceProfile
metadata:
  namespace: "{{ k8s_stgop_namespace }}"
  name: size-small
spec:
  cpu: "2"
  memory: "4Gi"
---
apiVersion: stackgres.io/v1
kind: SGInstanceProfile
metadata:
  namespace: "{{ k8s_stgop_namespace }}"
  name: size-medium
spec:
  cpu: "4"
  memory: "16Gi"
---
kind: SGInstanceProfile
metadata:
  namespace: "{{ k8s_stgop_namespace }}"
  name: size-big
spec:
  cpu: "8"
  memory: "32Gi"
---
apiVersion: stackgres.io/v1
kind: SGPostgresConfig
metadata:
  name: "{{ k8s_stgop_dbname }}-conf"
  namespace: "{{ k8s_stgop_namespace }}"
spec:
  postgresVersion: "{{ k8s_stgop_pg_version}}"
  postgresql.conf:
    password_encryption: 'scram-sha-256'
{% if k8s_stgop_timescale|bool %}
    shared_preload_libraries: pg_stat_statements,timescaledb,auto_explain
{% else %}
    shared_preload_libraries: pg_stat_statements,auto_explain
{% endif %}
